summaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
authorMichael Drake <michael.drake@codethink.co.uk>2016-02-19 15:22:12 +0000
committerMichael Drake <michael.drake@codethink.co.uk>2016-02-19 15:25:06 +0000
commitebfcc6d9a9c20d1285c228cc596e9f744cbb7821 (patch)
tree2e4d78c7067f002910d79bdd23c8e63afc0b7675 /utils
parent00a0be2698f6649c4b508fb8d75618fc803092dc (diff)
downloadnetsurf-ebfcc6d9a9c20d1285c228cc596e9f744cbb7821.tar.gz
netsurf-ebfcc6d9a9c20d1285c228cc596e9f744cbb7821.tar.bz2
Add script for setting files to git last touched date.
This may help with whatever issue is causing a problem with RISC OS !Boot and !System distributions. From the base of the netsurf repo, you can run it like this: $ ./utils/git-date.sh riscos/distribution/
Diffstat (limited to 'utils')
-rwxr-xr-xutils/git-date.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/utils/git-date.sh b/utils/git-date.sh
new file mode 100755
index 000000000..d9a9059a0
--- /dev/null
+++ b/utils/git-date.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+#
+# Copyright © 2016 Michael Drake <tlsa@netsurf-browser.org>
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# * The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+
+# Sets the timestamp of files to the last time a commit touched them in
+# the given subtree.
+#
+# Usage: git-date.sh <PATH>
+#
+# Example: /utils/git-date.sh riscos/distribution
+
+set -e
+
+for FILE in $(git ls-files ${1})
+do
+ TIME=$(git log --pretty=format:%cd -n 1 --date=iso "$FILE")
+ touch -m -d "$TIME" "$FILE"
+done